import QtQuick 1.1
import qb.components 1.0
import Effects 1.0

SystrayIcon {
	visible: app.hasVacation
	objectName: "vacationSystrayIcon"

	onClicked: {
		stage.openFullscreen(app.vacationOverviewScreenUrl);
	}

	onDimStateChanged: {
		if (dimState)
			colorize.setColor(colors.vacationSystrayIconDim);
		else
			colorize.setColor(colors.vacationSystrayIconColor);
	}

	Image {
		anchors.centerIn: parent
		source: "drawables/vacationSystray.png"
		effect: Colorize {id: colorize; color: colors.vacationSystrayIconColor; strength: 1.0}
	}
}
